Package org.jmock.core

# Class Formatting

java.lang.Object
org.jmock.core.Formatting

public class Formatting extends Object

Since:
  1.0

## Constructor Summary

Constructors
Constructor
Description
`Formatting()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`classShortName(Class c)`
`static StringBuffer`
`join(Object array, StringBuffer buf)`
`static StringBuffer`
`join(Object array, StringBuffer buf, String prefix, String postfix)`
`static StringBuffer`
`join(Object array, StringBuffer buf, String prefix, String separator, String postfix)`
`static StringBuffer`
`join(Collection collection, StringBuffer buf, String prefix, String postfix)`
`static StringBuffer`
`join(Collection collection, StringBuffer buf, String prefix, String separator, String postfix)`
`static String`
`toReadableString(Object element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Formatting

public Formatting()

## Method Details

### toReadableString

public static String toReadableString(Object element)

### join

public static StringBuffer join(Object array, StringBuffer buf)

### join

public static StringBuffer join(Collection collection, StringBuffer buf, String prefix, String postfix)

### join

public static StringBuffer join(Collection collection, StringBuffer buf, String prefix, String separator, String postfix)

### join

public static StringBuffer join(Object array, StringBuffer buf, String prefix, String postfix)

### join

public static StringBuffer join(Object array, StringBuffer buf, String prefix, String separator, String postfix)

### classShortName

public static String classShortName(Class c)